SIGBLOCK(2)

NAME
sigblock, sigmask - temporarily block signals

SYNOPSIS
#include <signal.h>

long sigblock(long mask);
#define sigmask(signum)

DESCRIPTION
sigblock is used to temporarily block the reception of signals. The input parameter mask is a bit vector that specifies which signals are to be blocked; a 1 in bit n will block signal n+1. The mask is bitwise-or'd with the current signal mask to create the new signal mask.

sigmask is a macro that can be used to calculate signal masks for sigsetmask. It takes a signal number signum, as listed in signal(2), as an argument and returns a mask corresponding to that signal.

If a signal is sent to a process but is blocked, the event is recorded for later release by sigsetmask(2). blocked signals are not stacked; further occurrences of a blocked signal will overwrite any previous pending signal of the same signum.

It is not possible to block SIGKILL, SIGCONT, or SIGSTOP. This restriction is silently enforced by the kernel.

RETURN VALUE
The previous value of the signal mask is returned.

SEE ALSO
kill(2), sigsetmask(2), signal(2)